--- title: "deleteAutoScalingGroup" slug: "compute-vautoscaling-autoscalinggroup-deleteautoscalinggroup" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-deleteautoscalinggroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteAutoScalingGroup Available in VPC Delete Auto Scaling Groups. Note If there are any servers left in the Auto Scaling Group or scaling is in progress, you can't delete them. Adjust the minimum capacity and expected capacity to set the number of servers to 0 before deleting them. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/deleteAutoScalingGroup | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/deleteAutoScalingGroup ?regionCode=KR &autoScalingGroupNo=1***1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `deleteAutoScalingGroupResponse` | Object | - | Response result - See [AutoScalingGroupList](/docs/en/common-vapidatatype-autoscalinggrouplist). | | `deleteAutoScalingGroupResponse.requestId` | String | - | ID for the request - UUID format | | `deleteAutoScalingGroupResponse.returnCode` | String | - | Response code | | `deleteAutoScalingGroupResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "deleteAutoScalingGroupResponse": { "totalRows": 1, "autoScalingGroupList": [ { "vpcNo": "4**5", "subnetNo": "3***4", "serverNamePrefix": "", "autoScalingGroupNo": "1***1", "autoScalingGroupName": "as19762e46344", "launchConfigurationNo": "5891", "minSize": 0, "maxSize": 1, "desiredCapacity": 0, "defaultCoolDown": 300, "healthCheckGracePeriod": 300, "healthCheckType": { "code": "SVR", "codeName": "Server" }, "createDate": "2025-06-12T15:47:04+0900", "autoScalingGroupStatus": { "code": "DELTD", "codeName": "Deleted" }, "targetGroupNoList": [], "inAutoScalingGroupServerInstanceList": [], "accessControlGroupNoList": [ "1***1" ], "suspendedProcessList": [] } ], "requestId": "9b26f078-****-****-****-6d0669c43e86", "returnCode": "0", "returnMessage": "success" } } ```